import request from '@/utils/request'

// 查询周报从列表
export function listItem(query) {
  return request({
    url: '/offcial/item/list',
    method: 'get',
    params: query
  })
}

// 查询周报从详细
export function getItem(id) {
  return request({
    url: '/offcial/item/' + id,
    method: 'get'
  })
}

// 新增周报从
export function addItem(data) {
  return request({
    url: '/offcial/item',
    method: 'post',
    data: data
  })
}

// 修改周报从
export function updateItem(data) {
  return request({
    url: '/offcial/item',
    method: 'put',
    data: data
  })
}

// 删除周报从
export function delItem(id) {
  return request({
    url: '/offcial/item/' + id,
    method: 'delete'
  })
}
